/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PersonRole;

import java.util.Vector;
import java.math.BigDecimal;
import CashSaleMgmt.CashSaleSession.CashSaleSession;
import CashSaleMgmt.CashSaleSession.CashDrawerAssignment;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class Cashier extends RelMgmt.Party.PersonRole {
    public BigDecimal calcTotalCashSales() {
        return new BigDecimal(0);
    }

    public BigDecimal calcTotalCashSalesQty() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAvgTotalCashSale() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAvgTotalCashSaleQty() {
        return new BigDecimal(0);
    }

    /**  */
    public BigDecimal calcCashSalesRate() {
        return new BigDecimal(0);
    }

    public BigDecimal calcCashSalesQtyRate() {
        return new BigDecimal(0);
    }

    public Vector listCashDrawerAssignments() {
        return new Vector();
    }

    public Vector listCashSaleSessions() {
        return new Vector();
    }

    public Vector listCashSales() {
        return new Vector();
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private CashDrawerAssignment lnkUnnamed1;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     * @label derivable
     */
    private CashSaleSession lnkUnnamed2;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     * @label derivable
     */
    private CashSaleMgmt.CashSale.CashSale lnkUnnamed;
}


